luamap=true
lessfrog=false
local mapver='Beta 2.0 [1.9 PATCH]'
local ttag='\169255128128[Terrorists]: \169255255128'
local cttag='\169128128255[Counter-Terrorists]: \169255255128'
local sptag='\169255255255[SlowPoke101]: \169255255128'
local dtag='\169255255000[Dartex]: \169255255128'
local ltag='\169128128255[Lessfrog]: \169255255128'
local qtag='\169000128128[???]: \169255255128'

print("\169255255255--------------------------------------------------")
print("\169128255128[Map]: Settings setup in progress.")
if game("sv_fow") ~= 0 then
	print("\169255128128[Map]: Turned off fog of war.")
	parse("sv_fow 0")
end
if game("sv_friendlyfire") ~= 0 then
	print("\169255128128[Map]: Turned off friendly fire.")
	parse("sv_friendlyfire 0")
end
if game("mp_infammo") ~= 1 then
	print("\169255128128[Map]: Turned on infinite ammo.")
	parse("mp_infammo 1")
end
if game("sv_gamemode") ~= 0 then
	print("\169255128128[Map]: Changed game mode to Standard.")
	parse("sv_gamemode 0")
end

print("\169128255128[Map]: Settings setup complete.")
print("\169255255255--------------------------------------------------")

addhook("startround","map_startround")
function map_startround()
	if lessfrog then
		lessfrog=false
	end
end

addhook("hit","map_hit")
function map_hit(id,src)
    if (player(id,"exists") and player(src,"exists") and player(id,"team")~=player(src,"team")) then
        return 1
    end
end

addhook("objectdamage","map_objectdamage")
function map_objectdamage(id)
     if object(id,"type")==7 and lessfrog then
          return 1
     end
end

function lessfrog_start()
	lessfrog=true
	parse("mp_dispenser_health 6")
	parse("mp_dispenser_money 0")
end

function lessfrog_end()
	lessfrog=false
	parse("mp_dispenser_health 10")
	parse("mp_dispenser_money 100")
end

function exists(pl)
	if player(pl,"exists") then
		return true
	else
		return false
	end
end

function thing(string)
	if string ~= nil then
		return true
	else
		return false
	end
end

function alive(pl)
	if thing(pl) and exists(pl) then
		local health=player(pl,"health")
		if thing(health) and health>0 then
			return true
		else
			return false
		end
	end
end

function all_dartex()
	for pl=1,32 do
		if exists(pl) and alive(pl) then
			local mr=math.random(1,2)
			if mr==1 then
				parse("setpos "..pl.." 2224 656")
			elseif mr==2 then
				parse("setpos "..pl.." 2256 656")
			end
		end
	end
end

function all_lessfrog()
	for pl=1,32 do
		if exists(pl) and alive(pl) then
			local mr=math.random(1,4)
			if mr==1 then
				parse("setpos "..pl.." 2224 2192")
			elseif mr==2 then
				parse("setpos "..pl.." 2768 2192")
			elseif mr==3 then
				parse("setpos "..pl.." 2256 2672")
			elseif mr==4 then
				parse("setpos "..pl.." 2736 2672")
			end
		end
	end
end

function start_tele()
	for id=1,32 do
		if player(id,"exists") then
			if player(id,"health") > 0 then
				parse("setpos "..id.." 2512 4560")
			end
		end
	end
end

function end_tele()
	for id=1,32 do
		if player(id,"exists") then
			if player(id,"health") > 0 then
				parse("setpos "..id.." 1040 4080")
			end
		end
	end
end

--Messages functions--
function msg_0()
	msg("\169192192192[Credits]: This map was made by SlowPoke101.")
	msg("\169192192192[Credits]: Thanks to Dartex, Lessfrog, useigor and Mora_rus.")
	msg("\169128128128[Version]: "..mapver)
	msg("\169128128128[Copyright]: Inside map briefing.")
end

function msg_1()
	msg(ttag.."Yo CT's what happend to the fuel?")
end

function msg_2()
	msg(cttag.."Well about that, Lessfrog stole it.")
end

function msg_3()
	msg(sptag.."And so the adventure begins!")
end

function msg_4()
	msg(ttag.."I think we forgot someone...")
	return true
end

function msg_5()
	msg(sptag.."A Dartex has appeared! (for real this time!)")
end

function msg_6()
	msg(dtag.."Prepare to die! Die a horrible death! Please don't use medikits...")
end

function msg_7()
	msg(dtag.."I have been defeated! How could this happen?! I'll be back! You'll see!")
end

function msg_8()
	msg(qtag.."Well done! I will see you up ahead...")
end

function msg_9()
	msg(qtag.."WHY ARE YOU HERE? WHY ARE YOU HERE?!?!?!")
end

function msg_10()
	msg(cttag.."WHAT THE NIFF I DIDN'T SIGN UP FOR THIS!!!")
end

function msg_11()
	msg(ttag.."Psst, look!")
end

function msg_12()
	msg(cttag.."Is that our VIP?")
end

function msg_13()
	msg(ttag.."You just can't trust a CT these days...")
end

function msg_14()
	msg(cttag.."Hey...! Let me remind you of that bomb you planted in my house...")
end

function msg_15()
	msg(ttag.."Either way we now we have that blue dude on our tail.")
end

function msg_16()
	msg(sptag.."A Lessfrog has appeared!")
end

function msg_17()
	msg(ttag.."We found a fuel tank.")
end

function msg_18()
	msg(cttag.."We found a fuel tank.")
end

function msg_19()
	msg(cttag.."Alright let's get outta here!")
end

function msg_20()
	msg(ltag.."Prepare to be raped with a spoon! It will be fun I promise! Please?")
end

function msg_21()
	msg(ltag.."I have been defeated aswell! I will come back, you'll see!")
end

function msg_22()
	msg(sptag.."10 seconds for launch!")
end

function msg_23()
	msg(sptag.."5 seconds for launch!")
end

function msg_24()
	msg(sptag.."We are launching!")
end

function msg_25()
	msg(cttag.."OH NO IT'S A ROCKET RUNNN!")
end

function msg_26()
	msg(ttag.."RUN WHERE?!")
end

function msg_27()
	msg(cttag.."I highly recommand that we hide now :)")
end

function msg_28()
	msg(sptag.."To be continued, part 3...")
end

function msg_29()
	msg(sptag.."Couldn't load part 3, restarting.")
end

function msg_30()
	msg(sptag.."The gate has been opened, but we have a problem...")
end

function msg_31()
	msg(cttag.."The helicopter is causing too much noise, we might attract unwanted attention.")
end

function msg_32()
	msg(ttag.."We should destroy it!")
end

function msg_33()
	msg(cttag.."The gate for the truck has been opened, lets hurry!")
end

function msg_34()
	msg(ttag.."It's too late! We have been discovered!")
end

function msg_35()
	msg(cttag.."SHOULDN'T THE ARMY BE ON OUR SIDE?!")
end

function msg_36()
	msg(ttag.."I already told you it was an accident...")
end

function msg_37()
	msg(cttag.."Sure it was... Tell that to my sheep!")
end

function msg_38()
	msg(cttag.."Maybe he wants more pizza? I sure do.")
end
--